# Community

There are many people using Composer already, and quite a few of them are
contributing.

## Contributing

If you would like to contribute to Composer, please read the
[README](https://github.com/composer/composer) and 
[CONTRIBUTING](https://github.com//composer/composer/blob/master/CONTRIBUTING.md)
documents.

The most important guidelines are described as follows:

> All code contributions - including those of people having commit access - must
> go through a pull request and approved by a core developer before being
> merged. This is to ensure proper review of all the code.
>
> Fork the project, create a feature branch, and send us a pull request.
>
> To ensure a consistent code base, you should make sure the code follows
> the [Coding Standards](https://symfony.com/doc/2.0/contributing/code/standards.html)
> which we borrowed from Symfony.

## IRC / mailing list

Mailing lists for [user support](https://groups.google.com/group/composer-users) and
[development](https://groups.google.com/group/composer-dev).

IRC channels are on irc.freenode.org: [#composer](irc://irc.freenode.org/composer)
for users and [#composer-dev](irc://irc.freenode.org/composer-dev) for development.

Stack Overflow has a growing collection of
[Composer related questions](https://stackoverflow.com/questions/tagged/composer-php).

&larr; [Config](06-config.md)
